Commit 87c700fe authored by Alexandre Duret-Lutz's avatar Alexandre Duret-Lutz
Browse files

Keep libtool's files under CVS so that we don't use the broken

Debian versions installed in build hosts during automatic builds.

* m4/libtool.m4: New file, from GNU Libtool 1.4.24.
* tools/ltmain.sh: New file, from GNU Libtool 1.4.24.
* HACKING: Installing Libtool is no longer required.
parent 34e7cb9c
2007-11-29 Alexandre Duret-Lutz <adl@lrde.epita.fr>
Keep libtool's files under CVS so that we don't use the broken
Debian versions installed in build hosts during automatic builds.
* m4/libtool.m4: New file, from GNU Libtool 1.4.24.
* tools/ltmain.sh: New file, from GNU Libtool 1.4.24.
* HACKING: Installing Libtool is no longer required.
2007-11-22 Alexandre Duret-Lutz <adl@lrde.epita.fr>
* m4/valgrind.m4: New file.
......
......@@ -11,7 +11,6 @@ generally if you plan to regenerate some of the generated files.
GNU Autoconf >= 2.61
GNU Automake >= 1.10
GNU Libtool >= 1.4
GNU Flex (the version seems to matters, we used 2.5.31)
GNU Bison >= 2.3
SWIG >= 1.3.31
......@@ -19,7 +18,7 @@ generally if you plan to regenerate some of the generated files.
Bootstrap the CVS tree by running
autoreconf -vfi
autoreconf -vi
and then go on with the usual
......@@ -27,6 +26,18 @@ and then go on with the usual
make
We also use
GNU Libtool >= 1.4
however since many distributions modify their version, some
(e.g. Debian) in a way that break Spot, we have our own copy of
ltmain.sh and libtool.m4 in the CVS repository of Spot. That means
you do not need an installed copy of Libtool. If you want to
overwrite these files with those from your copy of Libtool, use
`autoreconf -vfi' instead of `autoreconf -vi'.
Coding conventions:
===================
......
This diff is collapsed.
This diff is collapsed.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment